
Foreman - Bug #6099

New Host screen is eating Fog Errors

06/06/2014 05:21 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Host creation   

Target version: 1.6.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1105674 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1105674

See https://bugzilla.redhat.com/show_bug.cgi?id=1105671.

I mis-configrued the ami for my compute resource. When I attempted to create a new host I briefly saw an error, but then the screen

was redirected. The only way to debug the issue was to look at the logs. I would have expected an error message on the screen

which gave me the error condition.

The actual logs are attached. Per Greg, the error message was

"Fog error: The image id '[ami-e08efbd0]' does  not exist"
Related issues:

Related to Foreman - Bug #4414: 500 error when image cannot be found during h... New 02/23/2014

Associated revisions

Revision c67f9c5e - 07/07/2014 07:19 AM - Greg Sutcliffe

Fixes #6099 - Bubble Fog::Errors up to Host

History

#1 - 06/06/2014 05:22 PM - Dominic Cleal

- Category set to Host creation

#2 - 06/06/2014 05:29 PM - Dominic Cleal

- Related to Bug #4414: 500 error when image cannot be found during host creation added
#3 - 06/19/2014 03:16 PM - Greg Sutcliffe

- Status changed from New to Ready For Testing

- Assignee set to Greg Sutcliffe

- Target version set to 1.8.1

- Difficulty set to easy

https://github.com/theforeman/foreman/pull/1525

#4 - 07/07/2014 07:23 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#5 - 07/07/2014 07:32 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#6 - 07/07/2014 08:06 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c67f9c5eb4e165cd107dab4db3224d497776dc6d.
